#pragma once

#include <library/cpp/yconf/conf.h>

#include <util/generic/set.h>

struct TRTYServerConfig;

namespace NRTYServer {

    struct TMonitorConfig {
        bool Enabled;
        ui32 CheckIntervalSeconds;
        ui32 LimitCheckFail;
        ui32 CrashRetries;
        TSet<int> CrashCodes;

        const TRTYServerConfig& Owner;
        TMonitorConfig(const TRTYServerConfig& owner);
        void Init(const TYandexConfig::Directives& directives);
        TString ToString() const;
    };

}
